org.eclipse.jetty.io.nio

## Class SelectorManager.SelectSet

- java.lang.Object
- - org.eclipse.jetty.io.nio.SelectorManager.SelectSet

- All Implemented Interfaces:
    Dumpable
  Enclosing class:
    SelectorManager

      public class SelectorManager.SelectSet
      extends Object
      implements Dumpable

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addChange(Object change)`
    `void` | `addChange(SelectableChannel channel, Object att)`
    `void` | `cancelTimeout(Timeout.Task task)`
    `void` | `destroyEndPoint(SelectChannelEndPoint endp)`
    `void` | `doSelect()` Select and dispatch tasks found from changes and the selector.
    `String` | `dump()`
    `void` | `dump(Appendable out, String indent)`
    `void` | `dumpKeyState(List<Object> dumpto)`
    `SelectorManager` | `getManager()`
    `long` | `getNow()`
    `void` | `scheduleTimeout(Timeout.Task task, long timeoutMs)`
    `String` | `toString()`
    `void` | `wakeup()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### addChange

          public void addChange(Object change)

    - #### addChange

          public void addChange(SelectableChannel channel,
                       Object att)

    - #### doSelect

          public void doSelect()
                        throws IOException

      Select and dispatch tasks found from changes and the selector.
      Throws:
        `IOException`

    - #### getManager

          public SelectorManager getManager()

    - #### getNow

          public long getNow()

    - #### scheduleTimeout

          public void scheduleTimeout(Timeout.Task task,
                             long timeoutMs)

      Parameters:
        `task` - The task to timeout. If it implements Runnable, then expired will be called from a dispatched thread.
        `timeoutMs` -

    - #### cancelTimeout

          public void cancelTimeout(Timeout.Task task)

    - #### wakeup

          public void wakeup()

    - #### destroyEndPoint

          public void destroyEndPoint(SelectChannelEndPoint endp)

    - #### dump

          public String dump()

      Specified by:
        `dump` in interface `Dumpable`

    - #### dump

          public void dump(Appendable out,
                  String indent)
                    throws IOException

      Specified by:
        `dump` in interface `Dumpable`
      Throws:
        `IOException`

    - #### dumpKeyState

          public void dumpKeyState(List<Object> dumpto)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 1995-2013 Mort Bay Consulting. All Rights Reserved.